package body MSHTML.DispHTCPropertyBehavior_Object is

   procedure fireChange
     (This : DispHTCPropertyBehavior_Type)
   is
   begin
      Invoke (This, DispHTCPropertyBehavior_fireChange);
   end fireChange;

   procedure Put_value
     (This : DispHTCPropertyBehavior_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispHTCPropertyBehavior_Put_value,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_value;

   function Get_value
     (This : DispHTCPropertyBehavior_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispHTCPropertyBehavior_Get_value);
   end Get_value;

end MSHTML.DispHTCPropertyBehavior_Object;

